Le 2 septembre 2006 11:47, Paul Lutus a ˝─rit :

> Jean-Claude Arbaut wrote:
> 
>> Paul Lutus wrote:
>> 
>>> What version of Ruby do you have? I ran the same test and didn't get this
>>> message. And what platform? Mine:
>>> 
>>> $ ruby -v
>>> ruby 1.8.4 (2005-12-24) [i386-linux]
>> 
>> % ruby -v
>> ruby 1.8.5 (2006-08-25) [powerpc-darwin8.7.0]
>> (that is, MacOS X 10.4.7)
> 
> Okay, I think you are seeing a version-specific bug. Any other reader
> comments?

I've made the test with ruby 1.8.4 : it works fine.  Then, I upgraded to
ruby 1.8.5 and it fails as described by the OP.

FWIW :

14:13 fred@talisker:~> ruby -v
ruby 1.8.5 (2006-08-25) [i386-freebsd5]

Fred
-- 
Once you will know my dear     You don't have to fear    A new beginning 
always starts at the end    Once you will know my dear    You don't have
to fear   Until the end of time   She goes her way
                                       (Within Temptation, Mother Earth)